Update Applicant: MRI
https://api.propexo.com/v1/applicants/mri/:applicant_id| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_GuestCardsBySiteID |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the applicant
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the address type. This is required when updating the address
The first name associated with the applicant
The last name associated with the applicant
The primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
Show 57 enum values
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYThe zip code associated with the applicant
The target move in date for the applicant
Show 2 variants
The desired number of bedrooms
The desired number of bathrooms
The desired lease term in months of the applicant
The number of occupants for the applicant
Notes associated with the applicant
Possible values: <= 30 characters
Primary phone number associated with the applicant
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe status of the applicant. This is optional and defaults to ACTIVE.
Show 3 enum values
APPLICANTCO_APPLICANTOCCUPANTResponse
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the applicant
The Propexo unique identifier for the address type. This is required when updating the address
The first name associated with the applicant
The last name associated with the applicant
The primary email address associated with the applicant
The first address line associated with the applicant
The second address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
Show 57 enum values
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYThe zip code associated with the applicant
The target move in date for the applicant
Show 2 variants
The desired number of bedrooms
The desired number of bathrooms
The desired lease term in months of the applicant
The number of occupants for the applicant
Notes associated with the applicant
Possible values: <= 30 characters
Primary phone number associated with the applicant
Type of the primary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKSecondary phone number associated with the applicant
Type of the secondary phone number
Show 5 enum values
FAXHOMEMOBILEOTHERWORKThe status of the applicant. This is optional and defaults to ACTIVE.
Show 3 enum values
APPLICANTCO_APPLICANTOCCUPANTErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/applicants/mri/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"address_type_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": "string",
"desired_lease_term_in_months": 0,
"number_of_occupants": 0,
"notes": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"applicant_status": "APPLICANT"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"applicant_id": "string",
"address_type_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": "string",
"desired_lease_term_in_months": 0,
"number_of_occupants": 0,
"notes": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"applicant_status": "APPLICANT"
}
}